package enum

type NursingHomePackageOrdState int32

const (
	NursingHomePackageOrdStateForWait    = 0
	NursingHomePackageOrdStateForSuccess = 1
	NursingHomePackageOrdStateForFail    = 2
)

func (gt NursingHomePackageOrdState) String() string {
	switch gt {
	case NursingHomePackageOrdStateForWait:
		return "待支付"
	case NursingHomePackageOrdStateForSuccess:
		return "支付成功"
	case NursingHomePackageOrdStateForFail:
		return "支付失败"
	default:
		return "未知"
	}
}

type NursingHomePackageOrdOrdState int32

const (
	NursingHomePackageOrdOrdStateForWait         = 0
	NursingHomePackageOrdOrdStateForSuccess      = 1
	NursingHomePackageOrdOrdStateForRefunding    = 2
	NursingHomePackageOrdOrdStateForPartRefunded = 3
	NursingHomePackageOrdOrdStateForRefunded     = 4
	NursingHomePackageOrdOrdStateForComplete     = 5
)

func (gt NursingHomePackageOrdOrdState) String() string {
	switch gt {
	case NursingHomePackageOrdOrdStateForWait:
		return "待支付"
	case NursingHomePackageOrdOrdStateForSuccess:
		return "预约成功"
	case NursingHomePackageOrdOrdStateForRefunding:
		return "退款中"
	case NursingHomePackageOrdOrdStateForPartRefunded:
		return "部分退款"
	case NursingHomePackageOrdOrdStateForRefunded:
		return "已退款"
	case NursingHomePackageOrdOrdStateForComplete:
		return "已完成"
	default:
		return "未知"
	}
}
